Subject: bug#8370: closed (Re: bug#8370: RFC: cp --no-preserve=contents)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Apr 2012 14:42:03 +0000

Your bug report

#8370: RFC: cp --no-preserve=contents

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8370: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8370
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8370: RFC: cp --no-preserve=contents
From: Eric Blake <[email-masked]>
To: Pádraig Brady <[email-masked]>
Cc: [email-masked], Jim Meyering <[email-masked]>
Date: Thu, 12 Apr 2012 08:39:31 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On 04/12/2012 08:20 AM, Pádraig Brady wrote:
> On 04/12/2012 03:04 PM, Jim Meyering wrote:
>> Pádraig Brady wrote:
>> ...
>>> So thinking a bit more about this,
>>> and given the confusion expressed in the above bug report,
>>> perhaps it's best to change --attributes-only to
>>> _not_ truncate existing files?
>>>
>>> I think scripts relying on the truncation behavior
>>> of this relatively new feature would be very rare,
>>> and the non truncating behavior is more generally useful.
>>>
>>> Patch to implement this change is attached.
>>
>> Thanks for doing this.
>> I prefer the new non-truncating behavior, too.
> 
> Cool.
> 
> I'll push with your clean-ups later on.
> Eric is it OK to close this bug,
> or are there cases not handled yet?
> (I didn't fully understand your suggestion TBH).

Yes, I closed the bug now.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: RFC: cp --no-preserve=contents
From: Eric Blake <[email-masked]>
To: bug-coreutils <[email-masked]>
Date: Mon, 28 Mar 2011 14:55:32 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

cp --attributes-only is great for preserving all metadata attributes
without corrupting contents, but what if I want to preserve only some of
the metadata (for example, copying SELinux context but _not_ timestamps
or content)?  It seems like --attributes-only would be a great synonym
for '--preserve=all  --no-preserve=contents', and that by adding the
'contents' category to --preserve (and defaulting it to on unless turned
off explicitly), that you expose finer-grained tuning to what metadata
gets copied.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org